<template>

    <div class="movies_content_single" v-for="single_movie in MOVIES"  >
        <div class="movies_item_single" v-if="this.$route.params.id==single_movie.id">
            <div class="movies_info_single">
                <div><img class="movies_img_single" :src="single_movie.medium_cover_image" alt="img"></div>
                <div class="info_content_single">
                    <h2>{{single_movie.title}}</h2>
                    <span>{{single_movie.year}}</span>
                    <p>Raiting: {{single_movie.rating}}</p>
                    <p>Language:{{single_movie.language}}</p>
                    <span class="movies_genres_single" v-for="genres in single_movie.genres" :key="genres">{{genres}}</span>
                    <p>{{single_movie.summary.slice(0,400)}}...</p>
                </div>
            </div>
        </div>
    </div>

</template>

<script>

    import {mapActions,mapGetters} from 'vuex'
    export default {

        name: "SingleMovieInfo",
        props: {
            mvlist: {
                type:Array
            }

        },

        data:() =>({



        }),
        methods: {
            ...mapActions([
                'GET_MOVIES_FROM_API'
            ]),
        },
        computed:{
            ...mapGetters([
                'MOVIES',
            ]),

        },
        mounted() {

            this.GET_MOVIES_FROM_API();
        }



    }
</script>

<style lang="scss">
    .movies_content_single {
        width: 50%;
        padding-top: 10px;
        margin: 0 auto;

        .movies_item_single {
            width: 100%;
            min-height: 320px;
            border: 1px solid #ffffff;
            border-radius: 5px;
            box-shadow: 4px 4px 8px 0 rgb(34 60 80 / 20%);
            list-style-type: none;
            display: inline-block;
            background: #ffffff;
            padding: 10px;
            color: grey;
            transition: all .2s ease-in-out;

            &:hover {
                cursor: pointer;

                transform: scale(1.01);
            }

            .movies_info_single {
                display: flex;

                .info_content_single {
                    margin-left: 20px;
                    color: grey;

                    .movies_genres_single {
                        margin-right: 10px;
                    }
                }
            }
        }
    }


</style>